New payment approval
Initiate an application for using Dintero payments . The application
will contain a link to an URL where the signatory of the account will need
to finish submission of the case contract and sign it. Dintero will perform
a KYC, AML and bank ownership check before the application
case_statuswill be updated to ACTIVE. Once the application is approved
we will set up your account for using Dintero payments. Note that not all
payment methods are available in all countries, and that for some payments
methods some processing time must be expected before you can start accepting
payments.
scopes:
- admin:accounts
- write:accounts
- write:accounts:/management/settings/approvals
Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
where the access_token is JSON Web Tokens (JWT).
Path Parameters
Body
The kind of application the approval is for. Decides which declaration form the signatory is presented with.
ecommerce: online payments only.in_person: in-person payments only.multi_channel: both online and in-person payments.in_person_upsell: in-person payments added to an account that is already approved for online payments.ecommerce_upsell: online payments added to an account that is already approved for in-person payments.
When omitted, the type is derived from payment_methods:
in_person when only ipp is present, ecommerce when ipp is
absent, and multi_channel when both are present.
ecommerce, in_person, multi_channel, in_person_upsell, ecommerce_upsell The user that will submit the form. If the email is set the user will be notified about the form via email.
See Seller onboarding - Reminder emails for the reminder schedule.
Response
Created ApprovalsPaymentResponse
The kind of application the approval is for. Decides which declaration form the signatory is presented with.
ecommerce: online payments only.in_person: in-person payments only.multi_channel: both online and in-person payments.in_person_upsell: in-person payments added to an account that is already approved for online payments.ecommerce_upsell: online payments added to an account that is already approved for in-person payments.
When omitted, the type is derived from payment_methods:
in_person when only ipp is present, ecommerce when ipp is
absent, and multi_channel when both are present.
ecommerce, in_person, multi_channel, in_person_upsell, ecommerce_upsell The user that will submit the form. If the email is set the user will be notified about the form via email.
See Seller onboarding - Reminder emails for the reminder schedule.
A four-digit Merchant Category Code (MCC) for the store ISO 18245:2003
The MCC set on the case
5814